<?php
require('startinclude.php');
include "lecturadb_slow.php";

obtener_login_nivel($nivel_usuario);


for ($i=0;$i<30;$i++) {
	setcookie('estado_camara$i',''); // offline.
}
$_SESSION["refreshpage"]=0;
$_SESSION["refreshfalla"]=5;
?>

<head>

<meta charset="UTF-8">

	
	<script type='text/javascript' src='ajaxlib/utils/southprojects.js'></script>
	<script type='text/javascript' src='ajaxlib/spwin/src/window.js'></script>
	<script type='text/javascript' src='ajaxlib/spform/src/form.js'></script>	
	<script type='text/javascript' src='ajaxlib/utils/progress.js'></script>
	<script type='text/javascript' src='jscriptlib.js'></script>
	<script type='text/javascript' src='cookies.js'></script>
	<!--speed up-->
	<script type='text/javascript' src='ajaxlib/utils/stylesheet.js'></script>	
	
	<script type='text/javascript' src='ajaxlib/dhtmlwindow.js'></script>	
	 
	
	
	<!-- usado para todos los rpc -->


	<!-- usado solo para esta ventana -->
	<script type='text/javascript' src='jscriptwin.js'></script>
	
	<!-- ALL demos need these css -->
	<link href="ajaxlib/spwin/themes/silverxp.css" rel="stylesheet" type="text/css">
	<link href="ajaxlib/spwin/themes/winxp.css" rel="stylesheet" type="text/css">
	<link href="ajaxlib/spwin/themes/redxp.css" rel="stylesheet" type="text/css">
	<link href="ajaxlib/spwin/themes/greyxp.css" rel="stylesheet" type="text/css">
	
	
	
	<link href="ajaxlib/spwin/themes/redosx.css" rel="stylesheet" type="text/css">
	<link href="ajaxlib/spwin/themes/grayosx.css" rel="stylesheet" type="text/css">
	<link href="ajaxlib/spwin/themes/blueosx.css" rel="stylesheet" type="text/css">
	<link href="ajaxlib/spwin/themes/osx.css" rel="stylesheet" type="text/css">
	
	
	<link href="ajaxlib/dhtmlwindow.css" rel="stylesheet" type="text/css">
	
	

	<script src="ajaxlib/genmove.js" type="text/javascript"></script>
	
	
	
	<!-- sonido -->
	<script type="text/javascript" src="script/soundmanager.js"></script>

	
	 
	
	
<link href="style.css" rel="stylesheet" type="text/css">

<script language="JavaScript">
console.log('master_enc');
var frameoculto=0;
var resultadoajax = "??|??|??";
var resultadojs = "__:__:__";

var resultadoajax_antiguo = "??|??|??";
var resultadoajax_contador=2;

function hideFrame(){
	// the first one is if you want to remove the side frame... 
	// parent.document.all("TopFrame").all("MiddleFrame").cols="100%,*";
	// the next one removes the top frame 

	if (frameoculto) {
		parent.document.all("TopFrame").rows="134, 80%"
		frameoculto=0;
		
		
		
		document.getElementById('botonreajustar').src='images/nav_up_red.gif';
		document.getElementById('botonreajustar').alt='Subir Menu';
		document.getElementById('botonreajustar').title='Subir Menu';
		
	} else {
		parent.document.all("TopFrame").rows="*,100%"
		document.getElementById('botonreajustar').src='images/nav_down_green.gif';
		document.getElementById('botonreajustar').alt='Bajar Menu';
		document.getElementById('botonreajustar').title='Bajar Menu';		
		frameoculto=1;

	}
}
</script>


<script type="text/javascript">

var imarco; //usado para el rpc
var alertaactiva=0; 
// usado para apunta al frame1.php
	if (self.parent.frames) 
		var framesuperior = self.parent.frames.framesuperior; //.document; // iexplorer
	else
		var framesuperior = window.parent.framesuperior; //.document; // firefox
	
	/* ejemplo :
		framesuperior.document.getElementById('prueba555').innerHTML='xyz';
		framesuperior.variable='aaa';
	*/	
		
	
	//framesuperior.googlewin.hide();
	//framesuperior.googlewin.load("iframe","http://www.google.cl","google");

function showespere() {
	//loader.start('espere..');
	//setTimeout("loader.stop();", 4000);
}
function showespere2() {
//	loader.start('espere..');
	//setTimeout("loader.stop();", 4000);
	soundManagerInit();
	
}

function ocultarespere() {
	//loader.stop();
	//inicio_ciclo();
}	
	
	
</script>
	<!-- Custom includes -->	
	<style type="text/css">
body {margin:0px;}

.bg_image {
/*	width: 100%;
	height: 100%;*/

	left: 0px;
	top: 0px;
	position: absolute;
	z-index: 0;
}

.bg_text {
/*	width: 100%;
	height: 100%;*/
	left: 0px;
	top: 0px;
	padding:6px,2px,2px,0px; /* top,right,left,botton */
	position: absolute;
	z-index: 1;
}

.caming_texto {
	font-family:  Tahoma,Verdana, Helvetica;
	font-size:9px;
}

#contents {
z-index: 1;
position: absolute;
}
</style>

	



<?php


function leer_ventanas($pantalla,$usuario) {
	global $win;
	global $total_ventanas;
	//global $winconf;
	$sql="select * from pf_window  ";
	$sql.="where pantalla=$pantalla and id_usuario=$usuario ";
	$sql.="order by id_camara ";
	$filas=0;
	$resultado="";
	ejecutarsql($sql,&$filas,&$resultado);	
	$num_ventanas=$filas;
	if ($total_ventanas!=$num_ventanas) {
		// si no existe o esta mal formado entonces lo reconstruye..
		$sql="delete from pf_window  ";
		$sql.="where pantalla=$pantalla and id_usuario=$usuario ";
		ejecutarsql($sql,&$filas,&$resultado);	
		$px=15;
		$py=55;
		$num_ventanas=$total_ventanas;
		for ($i=0;$i<$num_ventanas;$i++) {
			$win[$i]["x"]=$px;	
			$win[$i]["y"]=$py;	
			$win[$i]["w"]=300;	
			$win[$i]["h"]=200;	
			$win[$i]["status"]=0;	
			$win[$i]["id"]=$i;
			//$win[$i]["titulo"]=$camaras[$i]["nombre_camara"];
			//$win[$i]["id"]=$camaras[$i]["id_camara"];
			//$win[$i]["tipo"]=$camaras[$i]["tipo_camara"];
			$px+=20;
			$py+=20;			
		}
		
		} else {
		for ($i=0;$i<$num_ventanas;$i++) {
			$win[$i]["x"]=mssql_result($resultado,$i, "x");	
			$win[$i]["y"]=mssql_result($resultado,$i, "y");	
			$win[$i]["w"]=mssql_result($resultado,$i, "w");	
			$win[$i]["h"]=mssql_result($resultado,$i, "h");	
			$win[$i]["id"]=mssql_result($resultado,$i, "id_camara");	
			$win[$i]["status"]=0;
			//$win[$i]["titulo"]=mssql_result($resultado,$i, "nombre_camara");
			//$win[$i]["status"]=mssql_result($resultado,$i, "status");	
			//$win[$i]["id"]=mssql_result($resultado,$i, "id_camara");	
			//$win[$i]["tipo"]=mssql_result($resultado,$i, "tipo_camara");	
			//if ($win[$i]["tipo"]=="CONF") { $winconf=$i; }
			
		}	
		
		
	}
	
}


function ventana($numero,$x,$y,$w,$h,$titulo,$tipo=0,$ultimo=0) {
		global $nsensores,$sensorm,$sensort;
		$tmp= "<script type='text/javascript'>\n";
		$tmp.= "numventanas=numventanas+1;\n";
		$tmp.= "win[$numero] = southprojects.Window.setup({\n";
		$tmp.= "	left:$x, \n";
		$tmp.= "	top:$y, 			\n";
		$tmp.= "	width:$w, \n";
		$tmp.= "	height:$h, 			\n";				
		$tmp.= "	canResize:true,\n";
		$tmp.= "	showStatus : false,\n";
		//$tmp.= "	initialState :'hidden',\n";
		
		
		//$tmp.= "	theme:'greyxp',\n";
		$tmp.= "	theme:'osx',\n";
		//$tmp.= "  onClose:onoculta,\n";
		$tmp.= "	title:'$titulo',\n";
		$tmp.= "	valor:$numero,\n";
		$tmp.= "	hideOnClose:true,\n";
		
		//$tmp.= "	showCloseButton:false,\n";
		
		$tmp.= "	raiseOnlyOnTitle:false, \n";
		
		$contenido= "<table border='1' width='100%'>";
		$contenido.= "<tr>";
		$contenido.= "    <td width='87'  >Temp Min</td>";
		$contenido.= "    <td width='87' id='cel1_$numero'>44.4</td>";
		$contenido.= "</tr><tr>";
		$contenido.= "    <td width='87'>Temp Max</td>";
		$contenido.= "    <td width='87' id='cel2_$numero'>55.5</td>";
		$contenido.= "</tr><tr>";
		$contenido.= "    <td width='87'>Status</td>";
		$contenido.= "    <td width='87' id='cel3_$numero'>&nbsp;</td>";
		$contenido.= "</tr>";
		$contenido.= "<tr>";
		$contenido.= "</tr>";		
		$contenido.= "<tr>";

		
		$tmp.=" iframeContent : false, \n";
		
		
		$tmp.= "	content : \"<iframe id='iventana$numero' class='spWinContent' scrolling='no' src='win_menu.php?ventanan=".$numero."&ultimo=".$ultimo."&rrr=".mt_rand()."' width=100% height=100%>\" \n";
		
		$tmp.= "});\n";
		//$tmp.="win[$numero].minimize();";
		$tmp.= "</script>\n";
	return $tmp;
}

// inicio...

$pantalla=0;
$usuario=0;
$boton=parametro("boton","");
$numcamaras=parametro("numcamaras","0");
if ($boton=='Guardar Valor' || $boton=='Alinear Ventanas' || $boton=='Ventanas en Cascada') {
		for ($i=0;$i<$total_ventanas;$i++) {
			$win[$i]["id"]=parametro("wid_$i","0");
			$win[$i]["x"]=parametro("wx_$i","0");
			$win[$i]["y"]=parametro("wy_$i","0");
			$win[$i]["w"]=parametro("ww_$i","0");
			$win[$i]["h"]=parametro("wh_$i","0");
			$win[$i]["status"]=parametro("ws_$i","0");		
			$datos=array($win[$i]["id"],$win[$i]["x"],$win[$i]["y"],$win[$i]["w"]
				,$win[$i]["h"],$win[$i]["status"],$pantalla,$usuario,'*RESULTADO*');
			$nc=array('id_camara','x','y','w','h','status','pantalla','id_usuario','resultado');
			$tc=array('int','int','int','int','int','int','int','int','output');
			ejecutarprocedimiento('Modificar_window',$datos,$nc,$tc);
		}
		
}

$totalcamaras=0;

$camaras_actual=array();
$camaras=array();
leer_camaras($camaras);
leer_camaras_actual($camaras_actual);
$totalcamaras=count($camaras);

$num_sensores_global=0;

//$winconf=0;
$win=array();

leer_ventanas($pantalla,$usuario);




/*for ($i=0;$i<count($win);$i++) {
	$ultimo=($i==count($win)-1)?1:0;
	if ($nivel_usuario>=10) {
		$titulofinal=$win[$i]["titulo"]."(".$win[$i]["id"].")";
	} else {
		$titulofinal=$win[$i]["titulo"];
	}
}
*/
for ($i=0;$i<$total_ventanas;$i++) {
	$ultimo=($i==$total_ventanas-1)?1:0;
	$titulofinal="Ventana N&deg;".($i+1);
	echo ventana($i,$win[$i]["x"],$win[$i]["y"],$win[$i]["w"]
			,$win[$i]["h"],$titulofinal,0,$ultimo);

}






//echo ventana(2,150,230,100,100,'titulo2',0);
?>



</head>

<BODY  onload="javascript:showespere2();" background='images/fondo.jpg'>
<div><!-- div usado para soundmanager, debe ser el primero de todos los divs--></div>
<div style="height:60; float:right; top:0;">

	<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0" width="1" height="1" id="digital" align="middle">
	<param name="allowScriptAccess" value="sameDomain" />
	<param name="allowFullScreen" value="false" />
	<param name="movie" value="dclock2.swf" /><param name="quality" value="high" /><param name="bgcolor" value="#ffffff" />	
	<embed src="dclock2.swf" quality="high" bgcolor="#ffffff" width="1" height="1" name="digital" align="middle" allowScriptAccess="sameDomain" allowFullScreen="false" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />
	</object>

</div>

<div style="height:60; float:right; top:0;">
<img src='images/miniicon/pawn.gif'/><?
echo $_SESSION["nombre_usuario"];
?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<div id='hora' style="width:30px;">
</div>
</div>
<img id='botonreajustar' src="images/nav_up_red.gif" onClick="hideFrame();" onmouseover="this.style.cursor='pointer'" onmouseout="this.style.cursor='default'" title="Subir Menu" alt="Subir Menu"  />

<script type="text/javascript">

var total_ventanas=<? echo $total_ventanas; ?>;
var ventana_rotacion=0;
var ventana_abierta=new Array(0,0,0);
var ventana_camara=new Array(0,0,0);


function modiframe2(ventana,destino) {
<?	
	if (strpos ($_SERVER['HTTP_USER_AGENT'],"Safari")) {
		echo "eval('var bodyIframe = self.frames.iventana'+ventana); // safari ";
	} else {
		echo "if(document.frames) {\n";
		echo "	eval('var bodyIframe = document.frames.iventana'+ventana); // iexplorer\n";
		echo "  bodyIframe.document.frames.iframe2.location=destino; \n";
		//echo "  bodyIframe.getElementById('iframe2').location='http://www.google.cl'; \n";
		echo "} else {\n";
		echo "	eval('var bodyIframe = iventana'+ventana+'.contentDocument'); // firefox\n";		
		//echo "bodyIframe.getElementById('iframe2').contentDocument.location=destino; }\n";
		echo "bodyIframe.getElementById('iframe2').contentDocument.location.href=destino; }\n";
	}		
	?>	
}

function activar_ventana(num_camara) {
	var cambiado=0;
	for (var i=0;i<total_ventanas;i++) {
		if (win[i].isVisible()==false) {
			win[i].show(); 
			win[i].restore();
			//modiframe2(i,".//");
			modiframe2(i,"wnormal.php?ventanan="+i+"&camara="+num_camara);
			cambiado=1;
			break;
		}
	}
	if (cambiado==0) {
		//win[ventana_rotacion].show(); 
		win[ventana_rotacion].activate();
		modiframe2(ventana_rotacion,"wnormal.php?ventanan="+ventana_rotacion+"&camara="+num_camara);
		cambiado=1;		
		ventana_rotacion++;
		if (ventana_rotacion>=total_ventanas)
			ventana_rotacion=0;
	}




}

showespere();
//inicio_ciclo();
</script>

<!--
<table width="100%" background="images/ribon.jpg" height="226" cellpadding="0" cellspacing="0" border='0'>
    <tr>
        <td width="131"><img src="images/ats.jpg" width="202" height="226" border="0"></td>
        <td width="90%">&nbsp;</td>
        <td width="676"><img src="images/company.jpg" width="676" height="226" border="0"></td>
    </tr>
</table>
-->
<br><br><br><br><br><br><br><br>
<!--<input type="button" name="formbutton1" value="boton" onclick="javascript:activar_ventana(0);">-->
<form name="formpanel" id='formpanel'>
<div class="spformContent">
	<?php
		echo "<input type='hidden' id='numcamaras' name='numcamaras' value='$totalcamaras'>\n";
		echo "<input type='hidden' id='boton' name='boton' value=''>\n";
		for ($i=0;$i<$total_ventanas;$i++) {
			
			echo "<input type='hidden' id='wx_$i' name='wx_$i' value='".$win[$i]["x"]."'>\n";
			echo "<input type='hidden' id='wy_$i' name='wy_$i' value='".$win[$i]["y"]."'>\n";
			echo "<input type='hidden' id='ww_$i' name='ww_$i' value='".$win[$i]["w"]."'>\n";
			echo "<input type='hidden' id='wh_$i' name='wh_$i' value='".$win[$i]["h"]."'>\n";
			echo "<input type='hidden' id='ws$i' name='ws_$i' value='".$win[$i]["status"]."'>\n";
			echo "<input type='hidden' id='wid_0$i' name='wid_$i' value='".$win[$i]["id"]."'>\n";
			
		}
		?>
</div>	
<!--
<div class="spformButtons2">
    <input type="submit" name="boton" value="Guardar Valor" onclick='javascript:framesuperior.googlewin.hide(); return(false);' class="button"> 
		&nbsp;<input type="submit" name="boton" value="Alinear Ventanas" onclick='alinearvalores()' class="button"> 
		&nbsp;<input type="submit" name="boton" value="Ventanas en Cascada" onclick='cascadavalores()' class="button"> 
		</div>
-->
</form>
<div id="transportdiv" name='transportdiv' style="border-width:0px; border-color:rgb(0,0,0); border-style:none; display: none; visibility:hidden; width:0px height:0px" ></div>            
	





<!-- this puts the contents of the page ontop of the background image -->
<div id="contents"> </div> 	
	

<?php

function camimg($arr,$num) {

	// dibujar cuadrados de ventana que estan en el fondo.
	$nombreimg="";
	if (strpos($arr["posicion_puerta"],".")===false) {
		switch (trim($arr["estado_actual"])) {
			case "V": // VALIDO.
				
				$nombreimg="blanca".$arr["posicion_puerta"].".jpg";
				
				break;
			case "N": // NO HABILITADO
				$nombreimg="gris".$arr["posicion_puerta"].".jpg";
				break;
			case "P": // PROCESO
				$nombreimg="roja".$arr["posicion_puerta"].".jpg";
				break;
			default:
				$nombreimg="gris".$arr["posicion_puerta"].".jpg";
				break;

			
		}
	} else {
		$nombreimg=$arr["posicion_puerta"];
	}
	$tmp="<script type='text/javascript'>\n";
	$tmp.="var mensaje".$num."=\"<img src='images/carga_home.gif'/> Cargando...\";\n";
	$tmp.="</script>\n";
	$onmouse="onmousemove=\"positiontip(this);\" onmouseover=\"javascript: ddrivetip(mensaje$num,300); this.style.cursor='pointer';\" onmouseout=\"javascript:this.style.cursor='default'; hideddrivetip(); \" ";
	
	$tmp.= "<div id='bg_image' border=1 class='bg_image' style='left:".$arr["x"]."; top:".$arr["y"].";' onclick='javascript: activar_ventana($num);' $onmouse > \n";
	$tmp.= "<img id='caming_image$num' src='images/camaras/$nombreimg' style=' width: ".$arr["w"]."; height: ".$arr["h"].";'> \n";
	$tmp.= "</div>\n";	
	$tmp.= "<div id='bg_image' class='bg_text' onclick='javascript: activar_ventana($num);' $onmouse ";
	$tmp.= " style='left:".$arr["x"]."; top:".$arr["y"]."; width:".$arr["w"]."; height:".$arr["h"]."; padding-top:5px; '> \n";
	//$tmp.= "<p></p>\n";
	$tmp.= "<p align='center' style='line-height:100%; margin-top:0; margin-bottom:0;' id='caming_titulo$num' ondblclick=\"alert('ok');\"><img src='images/carga_home.gif'/></p>\n";
	$tmp.= "<div align='center' style='line-height:100%;  margin-top:0; margin-bottom:0; ' >";
	$tmp.= "<table width=80% class='caming_texto' border=0 >\n";
	posicion__sensoresxcamara($pos,$num);
	$columna=floor(($arr["w"]*0.8)/25);
	
	$columna=($columna>0)?$columna:1;
	$ancho=100/($columna+1);

	$largo=ceil(($arr["h"]-36)/15);
	
	for ($i=1;$i<=$largo;$i++) {
	
		for ($e=0;$e<$columna;$e++) {
			$k[$e]=($pos[$i+($largo*$e)]!=="")?"id='c".$num."_".$pos[$i+($largo*$e)]."'":"";
			
			if (strtoupper($_SESSION["nombre_usuario"])=="ADMIN") {
				$vacio[$e]="<font color='silver'>".($i+($largo*$e))."</font>";
			} else {
				$vacio[$e]="&nbsp;";
			}
		}

		$tmp.= "<tr>";
		for ($e=0;$e<$columna;$e++) {
			$tmp.="<td ".$k[$e]." align='center' width=$ancho%>".$vacio[$e]."</td>";
		}
		
		/*if ($columna>=1) $tmp.="<td $k1 align='center' width=$ancho%>$vacio</td>";
		if ($columna>=2) $tmp.="<td $k2 align='center' width=$ancho%>$vacio2</td>";
		if ($columna>=3) $tmp.="<td $k3 align='center' width=$ancho%>$vacio3</td>";
		if ($columna>3) $tmp.="<td $k4 align='center' width=$ancho%>$vacio4</td>";
		*/
		$tmp.="</tr>\n";
		
		
	}



	$tmp.= "</table></div>\n";
	/*$tmp.= "<p align='center' style='line-height:100%; margin-top:0; margin-bottom:0;' >";
	$tmp.= "<table width=80% class='caming_texto' >\n";
	$tmp.= "<tr><td>Minima:</td><td id='caming_minima$num'>--</td></tr>\n";
	$tmp.= "<tr><td>Maxima:</td><td id='caming_maxima$num'>--</td></tr>\n";
	$tmp.= "</table>\n";
	$tmp.= "</p>\n";*/
	$tmp.= "</div>\n";
	return ($tmp);
}
function camimg_noex($arr,$num) {
	// dibujar cuadrados de ventana que estan en el fondo.
	$nombreimg=$arr["posicion_puerta"];
	$tmp= "<div id='bg_image' border=1 class='bg_image' style='left:".$arr["x"]."; top:".$arr["y"].";' > \n";
	$tmp.= "<img id='caming_imagenoex$num' src='images/camaras/$nombreimg' style=' width: ".$arr["w"]."; height: ".$arr["h"].";'> \n";
	$tmp.= "</div>\n";	
	return ($tmp);
}


function camimg_item($arr,$num) {
	// dibujar cuadrados de ventana que estan en el fondo.
	; // $arr["tipo_item"]."jpg";
	$nombreimg="unknown.gif";
	switch ($arr["tipo_item"]) {
		case "ALARMA":
			$nombreimg="nav_plain_green.gif";
		break;
	}
	$tmp="<script type='text/javascript'>\n";
	$tmp.="var mensaje_item".$num."=\"<img src='images/carga_home.gif'/> Cargando...\";\n";
	$tmp.="</script>\n";
	$onmouse="onmousemove=\"positiontip(this);\" onmouseover=\"javascript: ddrivetip(mensaje_item".$num.",300); this.style.cursor='pointer';\" onmouseout=\"javascript:this.style.cursor='default'; hideddrivetip(); \" ";
	
	
	
	$tmp.= "<div id='bg_image' border=1 class='bg_image' style='left:".$arr["x"]."; top:".$arr["y"].";' $onmouse > \n";
	$tmp.= "<img id='caming_imageitem$num' src='images/iconos/$nombreimg' style=' width: ".$arr["w"]."; height: ".$arr["h"].";'> \n";
	$tmp.= "</div>\n";	
	
	return ($tmp);
}


leer_camaras_noex($camaras_noex);


if ($camaras_noex) {
	for ($i=0;$i<count($camaras_noex);$i++) {
		echo camimg_noex($camaras_noex[$i],$i);
	}
}

for ($i=0;$i<count($camaras);$i++) {
	echo camimg($camaras[$i],$i);
}
apc_store('numero_de_camaras',count($camaras)-1,0);

$camaras_item=array();
leer_camaras_item(&$camaras_item);
if ($camaras_item) {
	for ($i=0;$i<count($camaras_item);$i++) {
		echo camimg_item($camaras_item[$i],$camaras_item[$i]["id_item"]);
	}
}
$fp=fopen('c:\temp\log.txt',"a+");
fwrite($fp,json_encode($camaras_item));
fclose($fp);


?>
<script language="JavaScript">	
	
var intervalo10s=0;
var intervalo2s=0;

var limite=<? echo 3+floor($num_sensores_global/40); ?>*1000;
var limite2=limite+2;
var limitemax=limite*3;

var ultimafecha;
var fechaactual;

/*
function desactivar() {

	clearTimeout(intervalo10s);
	clearTimeout(intervalo2s);
	//alert("desactivado "+sec);
	intervalo10s=setTimeout('inicio_ciclo(this.name)',limitemax); // creamos este ciclo que se llama si el otro no se llamo.
	//alert("desactivar ");
}

function reactivar() {
	var varfecha2 = new Date();
	fechaactual=varfecha2.getTime();
	if (fechaactual-ultimafecha>limite2) {
		
		activar();
	}
	ultimafecha=fechaactual;
}

function activar() { // es usado???
var varfecha = new Date();
ultimafecha=varfecha.getTime();

clearTimeout(intervalo10s);
clearInterval(intervalo2s);
intervalo2s=setInterval('callToServer(this.name)',limite); 
//alert("activar ");
}

function inicio_ciclo() {
	clearInterval(intervalo2s);
	intervalo2s=setInterval('callToServer(this.name)',limite); // creamos el ciclo corto.
	//alert("comienza !"+intervalo2s); // <---------------------------------------------------------
}
*/


var page_request = false;
if (window.XMLHttpRequest) // if Mozilla, IE7, Safari etc
	page_request = new XMLHttpRequest();
else 
page_request = new ActiveXObject("Msxml2.XMLHTTP");



function ajax2(url){
	//page_request.open('GET', url+"&"+new Date().getTime(), true)
/*	page_request.open('GET', url+"&"+new Date().getTime(), false) // no asyncronico = syncronico
	page_request.onreadystatechange=function() {
		alert("evaluando.."+page_request.readyState);
		if (page_request.readyState == 4 ){
			alert("evaluando..");
			eval(page_request.responseText);
		};
	};
	page_request.send(null)
	*/
};

/*function ajax(url){
	//page_request.open('GET', url+"&"+new Date().getTime(), true)
	page_request.open('GET', url+"&"+new Date().getTime(), false) // no asyncronico = syncronico
	page_request.send(null);
	eval(page_request.responseText);
	//page_request.send(null)
};
*/
function ajax(url){
	//page_request.open('GET', url+"&"+new Date().getTime(), true)
	page_request.open('GET', url+"&"+new Date().getTime(), true)
	page_request.onreadystatechange=function() {
		if (page_request.readyState == 4 ){
			eval(page_request.responseText);
		};
	};
	page_request.send(null)
};



function callToServer(archivophp) {
	desactivar();
	//fetchUrl(phprpc, 'transportdiv');
	ajax(phprpc + "?tt=aa");
	
}

function activarpc() {
	// esto es llamada desde flash. Si no hay flash, no va a funcionar.


	
	console.log('activando pc3...');
	if (resultadoajax_antiguo!=resultadoajax || resultadoajax_contador>3) {
		resultadoajax_antiguo=resultadoajax;
		
		ajax("windows_rpc.php?tt=aa");
		resultadoajax_contador=0;
	} else {
	resultadoajax_contador=resultadoajax_contador+1;
	}
	document.getElementById('hora').innerHTML=resultadojs;
	return(resultadoajax);
}




function fetchUrl(urlName, divName) {
	// Fetch HTML fragment
		var mini;
		// URL to fetch
		if (urlName.indexOf('?')>0) {
			mini='&';
		} else {
			mini='?';		
		};
	southprojects.Transport.fetch({
		url: urlName + mini + Math.random(),	
		// Onload event handler
		onLoad: function(objRequest) {
			// Show container
			document.getElementById(divName).style.display = '';
			// Put fetched fragment into transport div
			var strHtml = objRequest.responseText;
			southprojects.Transport.setInnerHtml({
				html: strHtml,
				container: divName
			});
			// Put fetched fragment into sourceCode div
		}	
	});
}	
	
	
	
</script>	
<?php


$t=array();
$maxima=0;
$minima=0;
$estado=0;
$nombre_sensor=array();
$estado_actual=array();

jsinicio();
echo "function prueba() {";




for ($i=0;$i<$totalcamaras;$i++) {
	// $estado_actual[$i]=$_COOKIE["ea".$i];
	echo "alert(document.getElementById('iventana0').contentWindow.document.getElementById('iframe2'));";
	echo "document.getElementById('iventana0').contentWindow.document.getElementById('iframe2').contentWindow.document.getElementById('celmin0').innerHTML='aaaaa';\n";
}
echo "};";
jsfin();

$tabla=array();

//leer_estados_historicos(&$tabla,0,1);



?>
<div id='pruebacontenido'> </div>
<script type="text/javascript">

//ocultarespere();
//alert("fin");
//inicio_ciclo();
</script>
</body>